﻿@model LoginViewModel
@{
    Layout = "~/Views/Shared/_LoginLayout.cshtml";
    ViewBag.Title = "Log in";
}

@section head{
    <script src="https://www.google.com/recaptcha/api.js?hl=fa&onload=onloadCallback&render=explicit" async defer></script>
}

    <div class="wrapper-page">

        <div class="text-center">
            <a href="@Url.Action("Index","Home")" class="logo-lg"><i class="md md-equalizer"></i> <span>ایکس تومن</span> </a>
        </div>

        @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal m-t-20", role = "form" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary()
            <div class="form-group row">
                <div class="col-12">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="mdi mdi-account"></i></span>
                        @Html.TextBoxFor(m => m.EmailOrPhoneNumberOrUsername, new { @class = "form-control", placeholder = "نام کاربری / ایمیل / موبایل" })
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-12">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="mdi mdi-key"></i></span>
                        @Html.PasswordFor(m => m.Password, new { @class = "form-control", placeholder = "کلمه عبور" })
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-12">
                    <div class="checkbox checkbox-primary">
                        <input id="RememberMe" name="RememberMe" type="checkbox" value="true">
                        <label for="RememberMe">
                            مرا به خاطر بسپار
                        </label>
                    </div>
                    <input name="RememberMe" type="hidden" value="false" />
                </div>
            </div>
            <div id="recaptchaDiv" class="g-recaptcha" data-sitekey="6LflMzoUAAAAANbJkWt7aYXbypaZSgmfJrvWsfmw"></div>
            <div class="form-group text-right m-t-20">
                <div class="col-12">
                    <button class="btn btn-primary btn-custom w-md waves-effect waves-light" type="submit">
                        ورود
                    </button>
                </div>
            </div>
        }
    </div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
    <script>
        function onloadCallback() {
            $('input[type="submit"]').removeAttr('disabled');
            grecaptcha.render('recaptchaDiv');
        }
    </script>
}